Orkut e meu Swiftweasel

Meu Orkut desde ontem não é o mesmo…. Novo layout com bordas arrendondadas. Só que é mais um site para a lista dos pentelhos que se dizem não ser compatível com meu browser. Browser não é padrão de nada, é ferramenta!! Eu uso o Swiftweasel 2.0.0.6.1, que é otimizado para meu Intel 64 bits (e Athlon X2, na UFF) e é muito mais recente e atualizado que o Exploder 6.0 ou o Firefox 1.5.

Bastou usar o User Agent Switcher que o site passou a ser compatível. Quer dizer que eu tornei o site compatível, sem mexer no site 8-o ?? Dã….

Discussão

Elias Gabriel Amaral da SilvaElias Gabriel Amaral da Silva, 10/Sep/2007 19:06

Isso se chama compatibilidade através de POG. Acho que esse link explica tudo: http://desciclo.pedia.ws/wiki/POG

A web em si parece ter sido projetada de forma a incentivar esse comportamento. Os browsers com parsers permissivos (o google tem html lixo!), a proliferação de extensões, a forma como os browsers são identificados.. não digo que foi de propósito, mas do jeito que foi projetado me parece inevitável esse tipo de prática o.o

PS: os comentários do blog tão com esse warning: “Warning: in_array() [function.in-array]: Wrong datatype for second argument in /var/profs/tjpp/inc/auth.php on line 287”, espero que tenha notado =o

PPS: blog legal! usar dokuwiki foi uma idéia legal, também

Marco Túlio Moura CarbonaroMarco Túlio Moura Carbonaro, 06/Nov/2007 14:39

meu orkut nao funciona

Leandro SantiagoLeandro Santiago, 30/Dec/2007 15:01

Olá, talvez o que que esteja implícito na situação seja: “Pare de usar essa mer%$de orkut!” hauahauhau

Na verdade eu nunca entendi essa do Swiftweasel… Ele é basicamente o mesmo Firefox, mas com um logo e uma identificação diferente? Acho que, se for para obter algo otimizado para a sua máquina, compensa muito compilar o próprio firefox nela. Acabo de fazer isso, no meu super-hiper-mega Duron 1500… É q o FF distribuído pela mozilla é compilado num RedHat para i486, num gcc-3.x.

Ficou assim a tela do about:buildconfig depois que compilei:

Build platform

target

i686-pc-linux-gnu

Build tools

Compiler Version Compiler flags

gcc gcc version 4.1.2 -Wall -W -Wno-unused -Wpointer-arith -Wcast-align -Wno-long-long -pedantic -O2 -march=i686 -pipe -pthread -pipe

c++ gcc version 4.1.2 -fno-rtti -fno-exceptions -Wall -Wconversion -Wpointer-arith -Wcast-align -Woverloaded-virtual -Wsynth -Wno-ctor-dtor-privacy -Wno-non-virtual-dtor -Wno-long-long -pedantic -O2 -march=i686 -pipe -fshort-wchar -pthread -pipe

Configure arguments

–enable-application=browser –enable-application=browser –enable-official-branding '–enable-optimize=-O2 -march=i686 -pipe' –disable-debug –enable-default-toolkit=gtk2 –enable-xft –enable-shared –disable-static –enable-extensions=default,-gnomevfs –disable-gnomevfs –disable-gnomeui –disable-tests –enable-crypto –enable-svg –with-system-jpeg –with-system-png –with-system-zlib

Ou seja: desativei a compilação estática (comedir de memória) e ativei a opção –enable-shared.

Ou então tente usar o konqueror, que consegue nativamente, sem extensão alguma, se fazer passar por qualquer navegador. Às vezes nem é o fato de o navegador ser incompatível, mas do site ser chato mesmo - com uma boa dose de POG, como o cara lá em cima disse ;-)

“Este site requer Internet Explorer 6.0 ou superior”

Firefox é superior… ;-)

Enter your comment
CKMNS
 
blog/entradas/orkut-e-meu-swiftweasel.txt · Última modificação: 27/Mar/2010 23:52 (edição externa)
chimeric.de = chi`s home Creative Commons License Valid CSS Driven by DokuWiki do yourself a favour and use a real browser - get firefox!! Recent changes RSS feed Valid XHTML 1.0